For the complete documentation index, see llms.txt. This page is also available as Markdown.

Project Admin ACL

List an application's project ACLs.

get

Returns the project object identifiers that the specified application (resource owner) has access to.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
resourceOwnerIdstringRequired
Responses
200

OK

string · uuid[]Optional
get/projects/admin/applications/{resourceOwnerId}
GET /projects/admin/applications/{resourceOwnerId} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  "123e4567-e89b-12d3-a456-426614174000"
]

Grant an application access to a project.

post

Creates a project ACL granting the specified application (resource owner) access to a project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
resourceOwnerIdstringRequired
Body
containerObjectIdentifierstring · uuidRequired
isAdminbooleanRequired
Responses
200

OK

string · uuidOptional
post/projects/admin/applications/{resourceOwnerId}
POST /projects/admin/applications/{resourceOwnerId} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "containerObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isAdmin": true
}
123e4567-e89b-12d3-a456-426614174000

Revoke an application's project access.

delete

Deletes the project ACL that grants the specified application (resource owner) access to a project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
resourceOwnerIdstringRequired
containerIdstring · uuidRequired
Responses
200

OK

No content

delete/projects/admin/applications/{resourceOwnerId}/{containerId}
DELETE /projects/admin/applications/{resourceOwnerId}/{containerId} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated